Endpoint Groups

Tables

Tables operations within the Catalogs API group.

List tablesGET

/catalogs/{catalogName}/schemas/{schemaName}/tables

Operation IDlistTables

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Create tablePOST

/catalogs/{catalogName}/schemas/{schemaName}/tables

Operation IDcreateTable

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
201 The request has succeeded and a new resource has been created as a result.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Get tableGET

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}

Operation IDgetTable

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Update tablePATCH

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}

Operation IDupdateTable

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Delete tableDELETE

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}

Operation IDdeleteTable

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Responses

Code Description
204 There is no content to send for this request, but the headers may be useful.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

List table columnsGET

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}/columns

Operation IDlistTableColumns

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Query Parameters

Name Type Required Description
max_results integer false -
page_token string false -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Update columnPATCH

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}/columns/{columnName}

Operation IDupdateColumn

Path Parameters

Name Type Required Description
catalogName string true -
columnName string true -
schemaName string true -
tableName string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Commit table ingestionPOST

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}/ingestion/commit

Operation IDcommitTableIngestion

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Load table external filesPOST

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}/ingestion/load

Operation IDloadTableExternalFiles

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Create upload URLPOST

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}/ingestion/upload-url

Operation IDcreateUploadUrl

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Request Body

  • Required: true
  • Content types: application/json

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error

Get table manifestGET

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}/manifest

Operation IDcreateManifest

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
404 The server cannot find the requested resource.
429 Client error
500 Server error

Profile tablePOST

/catalogs/{catalogName}/schemas/{schemaName}/tables/{tableName}/profile

Operation IDprofileTable

Path Parameters

Name Type Required Description
catalogName string true -
schemaName string true -
tableName string true -

Responses

Code Description
200 The request has succeeded.
400 The server could not understand the request due to invalid syntax.
401 Access is unauthorized.
403 Access is forbidden.
429 Client error
500 Server error